package cn.com.qmth.examcloud.core.questions.service;

import java.util.Map;

import org.springframework.data.domain.Page;
import cn.com.qmth.examcloud.question.core.question.DefaultQuestion;

/**
 * @author 		weiwenhai
 * @date 		2018.9.10
 * @company		qmth
 * @describle	试题对象服务接口
 */
public interface QuestionProviderService {

	/**
	 * 保存试题对象
	 * @param defaultQuestion
	 * @return
	 */
	public String save(DefaultQuestion defaultQuestion);
	
	/**
	 * 根据机构和属性查询试题集合
	 * @param rootOrgId
	 * @param map
	 * @return
	 */
	public Page<DefaultQuestion> findQustions(Long rootOrgId,Map<String, String> map,int curPage,int pageSize);
	
}
